MagicWP Docs
WordPress

Check for WordPress updates

GET
/v1/sites/{site_id}/wp/core/check

Permission: site.view

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

WordPress core version and available updates.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/core/check"
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "current_version": null,    "update_available": null,    "latest_version": null,    "update_type": null,    "updates": [],    "check_failed": null,    "error": null  }}